Account

List API requests

GET /v1/account/api-requests
Permission
read:account
Tokens
API key, CLI user token

List requests made with API keys, user tokens, and session tokens, newest first.

Query parameters

startstring, date-time

Only requests at or after this time.

endstring, date-time

Only requests before this time.

operationarray<string>

Only requests to these operations.

status_codearray<integer>

Only requests that returned these status codes.

credential_typearray<ApiRequestCredentialType>

Only requests made with these credential types.

credential_idarray<string>

Only requests made with these API keys, user tokens, or sessions, by id.

limitdefault 50integer
cursorstring

The `next_cursor` of the previous page.

{
"has_more": bool,
"next_cursor": str
}

Response

api_requestsarray<ApiRequest>required
has_moredefault falseboolean

Whether more results exist past this page.

next_cursorstring

Pass as `cursor` to fetch the next page. Null on the last page. Opaque , echo it back rather than parsing it.

On this page

No Headings
Schedule a demo